// cOsdBasicDisplay.h: interface for the cOsdBasicDisplay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COSDBASICDISPLAY_H__2CA8F5E8_1728_44D6_8FB0_58F897FF4E4A__INCLUDED_)
#define AFX_COSDBASICDISPLAY_H__2CA8F5E8_1728_44D6_8FB0_58F897FF4E4A__INCLUDED_

#define BORDERWIDTH          2
#define TITLE_HEIGHT        32
#define COLUMTITLE_HEIGHT   32
#define RAW_HEIGHT   22


class cOsdBasicDisplay  
{
public:
	cOsdBasicDisplay();
	virtual ~cOsdBasicDisplay();

    virtual void Clear(void);
    virtual cItemAction *ProcessKey(int Key);
    virtual void Draw(void);

	void SetTitle(string title);
	string m_title;

	void SetBackAction(int action = NO_ACTION);
    cItemAction m_BackAction;

	void AddText(int x,int y, string title);

	int m_iNbText;
	vector<int>	m_lstPositionX;
	vector<int>	m_lstPositionY;
	vector<string>	m_lstText;

	int ymax;
	int yoffset;

};

#endif // !defined(AFX_COSDBASICDISPLAY_H__2CA8F5E8_1728_44D6_8FB0_58F897FF4E4A__INCLUDED_)
